"""
@author: luojunhui
"""
import time
import asyncio
import datetime
from tasks.history_task import historyContentIdTask
from applications.db import AsyncMySQLClient


async def main():
    """
    main job
    :return:
    """
    async_mysql_pool = AsyncMySQLClient()
    await async_mysql_pool.init_pool()
    history_content_id_task = historyContentIdTask(async_mysql_pool)
    await history_content_id_task.deal()


if __name__ == '__main__':
    while True:
        asyncio.run(main())
        now_str = datetime.datetime.now().__str__()
        print("{}    请求执行完成， 等待60s".format(now_str))
        time.sleep(60)
